local path = reaper.GetResourcePath() .. "\\REAPER.ini"
O1, octave = reaper.BR_Win32_GetPrivateProfileString("notation", "Octave", "nil", path)
if (octave == "nil" ) or (tonumber(octave) == -2) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "9", path)
spk = "Octave 9"
elseif  (tonumber(octave) == -1) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "-2", path)
spk = "All Octave"
elseif  (tonumber(octave) == 0) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "-1", path)
spk = "Octave -1"
elseif  (tonumber(octave) == 1) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "0", path)
spk = "Octave 0"
elseif  (tonumber(octave) == 1) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "0", path)
spk = "Octave 0"
elseif  (tonumber(octave) == 2) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "1", path)
spk = "Octave 1"
elseif  (tonumber(octave) == 3) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "2", path)
spk = "Octave 2"
elseif  (tonumber(octave) == 4) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "3", path)
spk = "Octave 3"
elseif  (tonumber(octave) == 5) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "4", path)
spk = "Octave 4"
elseif  (tonumber(octave) == 6) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "5", path)
spk = "Octave 5"
elseif  (tonumber(octave) == 7) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "6", path)
spk = "Octave 6"
elseif  (tonumber(octave) == 8) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "7", path)
spk = "Octave 7"
elseif  (tonumber(octave) == 9) then
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "8", path)
spk = "Octave 8"

else
reaper.BR_Win32_WritePrivateProfileString("notation", "Octave", "9", path)
spk = "Octave 9"
end
reaper.osara_outputMessage(spk)